Bug 1856344 - [sig-cluster-lifecycle][Feature:Machines][Serial] Managed cluster should grow and decrease when scaling different machineSets simultaneously
Summary: [sig-cluster-lifecycle][Feature:Machines][Serial] Managed cluster should grow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Danil Grigorev
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 12:45 UTC by Vadim Rutkovsky
Modified: 2020-10-27 16:14 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-cluster-lifecycle][Feature:Machines][Serial] Managed cluster should grow and decrease when scaling different machineSets simultaneously
Last Closed: 2020-10-27 16:13:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-actuator-pkg pull 181 0 None closed BUG 1856344: [sig-cluster-lifecycle][Feature:Machines][Serial] Managed cluster should grow and decrease when scaling dif... 2020-11-11 17:10:25 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:14:27 UTC

Description Vadim Rutkovsky 2020-07-13 12:45:58 UTC
test:
[sig-cluster-lifecycle][Feature:Machines][Serial] Managed cluster should grow and decrease when scaling different machineSets simultaneously 

is failing frequently in CI, see search results:
https://search.svc.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-cluster-lifecycle%5C%5D%5C%5BFeature%3AMachines%5C%5D%5C%5BSerial%5C%5D+Managed+cluster+should+grow+and+decrease+when+scaling+different+machineSets+simultaneously


Affects openstack (16% of all failures in serial tests), gcp, aws and azure, e.g.
https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gcs/origin-ci-test/pr-logs/pull/25272/pull-ci-openshift-origin-release-4.5-e2e-aws-serial/1281702902192148480:

Jul 10 22:59:45.201: INFO: Error getting nodes from machineSet: not all machines have a node reference: map[ci-op-lc0wsswr-fb238-fz5m4-worker-us-west-2b-d5wzf:ip-10-0-200-187.us-west-2.compute.internal]

Probably related to throttling issues on all platforms

Comment 6 errata-xmlrpc 2020-10-27 16:13:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.